HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

/system/vrfs/{name}/radius_servers/{address},{port},{port_type}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Reference Resource: VRF
VRF identifier. Should be alphanumeric. VRF names must be unique.

string
required

Reference Resource: Radius_Server
IPV4/IPV6 address or FQDN of the RADIUS server.

string
required

Reference Resource: Radius_Server
Specifies the port number for authentication.

string
enum
required

Reference Resource: Radius_Server
Specifies the type of port (tcp/udp) for authentication.

Allowed:
Body Params
string
enum

Specifies the tracking mode to be set for this server and is only applicable when tracking is enabled for this server. 'any' : Server reachability is monitored regardless of whether the server was responsive or non-responsive to prior RADIUS client requests. 'dead-only' : Server reachability is monitored only if it is deemed dead (based on non-responsiveness for RADIUS client requests sent to this server earlier).

Allowed:
integer
1 to 60

Specifies the server specific timeout between authentication requests to the RADIUS server. If not specified, the globally configured timeout will be used.

ipsec_ah
object

IPSec Authentication Header configuration. If both AH and ESP are configured, then ESP will be ignored and AH will be used. If both System level and Radius_Server AH configuration is provided then Radius_Server configuration will be used for the specific Radius server.

ipsec_esp
object

IPSec Encapsulating Security Protocol configuration. If both AH and ESP are configured, then ESP will be ignored and AH will be used. If both System level and Radius_Server ESP configuration is provided then Radius_Server configuration will be used for the specific Radius server.

clearpass
object

Clearpass specific configuration.

boolean

Specifies whether tracking should be enabled on this server.

int64
required
≥ 1

Specifies the order in which a RADIUS server is configured within RADIUS default family group 'radius'. By default all RADIUS servers should be added to default group 'radius' Priority is assigned starting with 1 and is incremental. Servers with equal priority in the default family group will undergo similar tie-breaker algorithm as mentioned for the user defined server group

integer
0 to 5

Specifies the server specific number of retries to the RADIUS server if there is no response. If not specified, the globally configured number of retries will be used.

string
enum

Specifies the server specific authentication method (pap/chap) to be used. If not specified, the globally configured authentication method (pap/chap) will be used.

Allowed:
int64
≥ 1

Specifies the order in which RADIUS servers are configured within a user defined server group. Priority is assigned starting with 1 and incremental. In case this server is not part of a user defined group, this will be empty. Servers where priority is not configured will be reached out last Servers with equal priority in a group will be reached out as follows: Those belonging to vrf where vrf_name appears alphabetically earlier than the others are reached out first. If that's a tie, servers with address appearing alphabetically earlier than the others is reached out first. If that too is a tie, servers with smaller udp port are reached out first

integer
1 to 65535

UDP port to be used for the communication to RADIUS accounting.

string

Specifies the passkey between RADIUS client and RADIUS server for authentication.

group
array of strings
required
length between 1 and 2

Reference Resource: AAA_Server_Group
Specifies the RADIUS server-group that it belongs to. It would belong to a family group 'radius' group and the user defined AAA server group

group*
Responses
200

OK

204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

415

Unsupported Media Type

500

Internal Server Error

501

Not Implemented

503

Service Unavailable

Language
LoadingLoading…